<?php

/* - Note: Do not edit this file. Please use functions-custom.php instead. - */

/*-------------------------------------------------------------------------- */
/* Air Framework :: Theme Configuration
/*-------------------------------------------------------------------------- */

$airconfig = array(

	//! Theme details
	'theme_name'		=> 'Intent',
	'theme_version'		=> '1.2',
	'theme_options'		=> 'bandit-intent',

	//! Theme options menu
	'theme-options-menu' => array(
		'general'	=> 'General',
		'blog'		=> 'Blog',
		'seo'		=> 'SEO',
		'header'	=> 'Header',
		'sidebar'	=> 'Sidebar',
		'footer'	=> 'Footer',
		'styling'	=> 'Styling',
		'help'		=> 'Help',
	),

	//! Theme modules menu
	'theme-modules-menu' => array(
		'social'		=> 'Social',
		'breadcrumbs'	=> 'Breadcrumbs',
		'portfolio'		=> 'Portfolio',
		'login'			=> 'Login',
		'maintenance'	=> 'Maintenance'
	),

	//! Text domain
	'text_domain'		=> 'intent',

	//! Content width
	'content_width'		=> 640,

	//! Theme features
	'theme_features' => array(
		'automatic-feed-links'	=> TRUE,
		'post-thumbnails'		=> TRUE,
		'post-formats'			=> array('audio','aside','chat','gallery','image','link','quote','status','video')
	),

	//! Navigation menus
	'nav_menus' => array(
		'bandit_nav_header' => 'Header',
		'bandit_nav_footer' => 'Footer'
	),

	//! Sidebars
	'sidebars' => array(
		array(
			'id'			=> 'sidebar-main',
			'name'			=> 'Sidebar',
			'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
			'after_widget'	=> '</li>',
			'before_title'	=> '<h3 class="widget-title"><span>',
			'after_title'	=> '</span></h3>',
		),
		array(
			'id'			=> 'sidebar-page-left',
			'name'			=> 'Template: Sidebar Left',
			'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
			'after_widget'	=> '</li>',
			'before_title'	=> '<h3 class="widget-title"><span>',
			'after_title'	=> '</span></h3>',
		),
		array(
			'id'			=> 'sidebar-page-right',
			'name'			=> 'Template: Sidebar Right',
			'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
			'after_widget'	=> '</li>',
			'before_title'	=> '<h3 class="widget-title"><span>',
			'after_title'	=> '</span></h3>',
		)
	),

	//! Image sizes
	'image_sizes' => array(
		array(
			'name'		=> 'post-format',
			'width'		=> 640,
			'height'	=> 0,
			'crop'		=> FALSE
		),
		array(
			'name'		=> 'post-thumbnail-medium',
			'width'		=> 170,
			'height'	=> 170,
			'crop'		=> TRUE
		),
		array(
			'name'		=> 'post-thumbnail-large',
			'width'		=> 420,
			'height'	=> 420,
			'crop'		=> TRUE
		),
		array(
			'name'		=> 'portfolio-thumbnail-large',
			'width'		=> 460,
			'height'	=> 314,
			'crop'		=> TRUE
		)
	),

	//! Javascript
	'javascript' => array(
		array(
		 	'handle'	=> 'fancybox',
			'src'		=> get_template_directory_uri().'/js/fancybox/jquery.fancybox.pack.js',
			'deps'		=> array('jquery'),
			'ver'		=> '2.0.6',
			'footer'	=> TRUE
		),
		array(
		 	'handle'	=> 'flexslider',
			'src'		=> get_template_directory_uri().'/js/jquery.flexslider.min.js',
			'deps'		=> array('jquery'),
			'ver'		=> '1.8',
			'footer'	=> TRUE
		),
		array(
		 	'handle'	=> 'isotope',
			'src'		=> get_template_directory_uri().'/js/jquery.isotope.min.js',
			'deps'		=> array('jquery'),
			'ver'		=> '1.5.19',
			'footer'	=> TRUE
		),
		array(
			'handle'	=> 'jplayer',
			'src'		=> get_template_directory_uri().'/js/jquery.jplayer.min.js',
			'ver'		=> '2.1.0',
			'footer'	=> TRUE
		),
		array(
			'handle'	=> 'mousewheel',
			'src'		=> get_template_directory_uri().'/js/fancybox/jquery.mousewheel-3.0.6.pack.js',
			'deps'		=> array('jquery'),
			'ver'		=> '3.0.6',
			'footer'	=> TRUE
		),
		array(
			'handle'	=> 'theme',
			'src'		=> get_template_directory_uri().'/js/jquery.theme.js',
			'deps'		=> array('jquery','fancybox','flexslider','isotope','jplayer','mousewheel'),
			'ver'		=> '1.0',
			'footer'	=> TRUE
		),
	),

);

# Load Air Framework
require('air/air.php');
include'air/inc/air-post.php'